From: Felix Fietkau <nbd@nbd.name>
Date: Sat, 9 Jul 2016 15:25:24 +0200
Subject: [PATCH] ath9k_hw: reset AHB-WMAC interface on AR91xx

Should fix a few stability issues

Signed-off-by: Felix Fietkau <nbd@nbd.name>
---

--- a/drivers/net/wireless/ath/ath9k/hw.c
+++ b/drivers/net/wireless/ath/ath9k/hw.c
@@ -1434,8 +1434,12 @@ static bool ath9k_hw_set_reset(struct at
 	if (!AR_SREV_9100(ah))
 		REG_WRITE(ah, AR_RC, 0);
 
-	if (AR_SREV_9100(ah))
+	if (AR_SREV_9100(ah)) {
+		/* Reset the AHB-WMAC interface */
+		if (ah->external_reset)
+			ah->external_reset();
 		udelay(50);
+	}
 
 	return true;
 }
